import request from '@/utils/request'

// 查询看课SOP  定时任务列表
export function listSopLogs(query) {
  return request({
    url: '/course/sopLogs/list',
    method: 'get',
    params: query
  })
}

// 查询看课SOP  定时任务列表
export function listSopLogsCVOList(query) {
  return request({
    url: '/course/sopLogs/CVOList',
    method: 'get',
    params: query
  })
}

// 查询看课SOP  定时任务详细
export function getSopLogs(id) {
  return request({
    url: '/course/sopLogs/' + id,
    method: 'get'
  })
}

// 新增看课SOP  定时任务
export function addSopLogs(data) {
  return request({
    url: '/course/sopLogs',
    method: 'post',
    data: data
  })
}

// 修改看课SOP  定时任务
export function updateSopLogs(data) {
  return request({
    url: '/course/sopLogs',
    method: 'put',
    data: data
  })
}

// 删除看课SOP  定时任务
export function delSopLogs(id) {
  return request({
    url: '/course/sopLogs/' + id,
    method: 'delete'
  })
}

// 导出看课SOP  定时任务
export function exportSopLogs(query) {
  return request({
    url: '/course/sopLogs/export',
    method: 'get',
    params: query
  })
}
